Sign Up

Ports

List listening ports

GET
/port

Returns all listening TCP ports inside the sandbox.

Response Body

application/json
  1. response

The TCP ports currently listening inside the sandbox.

ports*array<>

All listening TCP ports inside the sandbox.

curl -X GET 'http://sandbox:2280/port'
{  "ports": [    0  ]}
GET
/port/{port}/in-use

Checks whether a TCP port from 3000 to 9999 inclusive is in use inside the sandbox.

Path Parameters

port*string

TCP port number as a decimal string between 3000 and 9999.

Response Body

application/json
  1. response

Whether one TCP port is currently in use.

isInUse*boolean

true when the port is in use.

curl -X GET 'http://sandbox:2280/port/string/in-use'
{  "isInUse": true}